[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: SASL authentication : Inappropriate authentication error

--On Tuesday, May 16, 2006 2:00 PM +0200 Benoit Callebaut <bc@cetic.be> wrote:

Thank you for the response.

I made the modifications but it doesn't change anything

for info , I use BekerleyDB 4.4, MIT-Kerberos 1.4.3,cyrus SASL 2.1.21 and
openldap 2.3.20

Well, you are going to have to fiddle with things until you get your mapping correct. Since I don't entirely know your LDAP setup, that was my best guess, but it should get you going in the right direction.

I will note that linking slapd against MIT Kerberos is a performance killer. I highly advise using Heimdal for the client libraries to link slapd against.


-- Quanah Gibson-Mount Principal Software Developer ITS/Shared Application Services Stanford University GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html